Skip to main content
PUT
/
api
/
partners
/
v2.0
/
org
/
{org_id}
/
users
/
{user_id}
/
heat-pumps
/
{heat_pump_id}
Update details of a user's heat pump
curl --request PUT \
  --url https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/heat-pumps/{heat_pump_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "is_pause_power_active": false,
  "is_smart_optimization_active": false,
  "device_model": {
    "device_type": {
      "short_name": "<string>",
      "long_name": "<string>"
    },
    "manufacturer": "<string>",
    "model": "<string>",
    "year": 123,
    "cloud_service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "price_zone": "AT",
  "deleted_at": "2023-11-07T05:31:56Z",
  "lifecycle_state": "authenticated",
  "lifecycle_error": "<string>",
  "building_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "pause_power_until": "2023-11-07T05:31:56Z",
  "optimization_score": 123,
  "comment": "<string>",
  "last_monitoring_executed_at": "2023-11-07T05:31:56Z",
  "is_inverter_forced_mode_enabled": false,
  "is_trading_enabled": false,
  "actual_steering_state": "unknown",
  "indoor_target_temperature_offset": 123,
  "dhw_standard_temperature": 123,
  "is_hot_water_heating_enabled": false,
  "is_space_heating_enabled": false,
  "is_pool_heating_enabled": false,
  "is_space_cooling_enabled": false,
  "heating_policy_name": "<string>",
  "maximum_temperature_limit": 123,
  "minimum_temperature_limit": 123,
  "minimum_dhw_temperature_limit": 123,
  "is_heating_policy_enabled": false,
  "away_mode_start": "2023-11-07T05:31:56Z",
  "away_mode_end": "2023-11-07T05:31:56Z",
  "is_away_mode_enabled": true,
  "away_mode_minimum_temperature_limit": 123,
  "optimization_level": "Mid"
}
'
{
  "connection_status": "ok",
  "monitoring_status": "ok",
  "steering_status": "ok",
  "device_model": {
    "device_type": {
      "short_name": "<string>",
      "long_name": "<string>"
    },
    "manufacturer": "<string>",
    "model": "<string>",
    "cloud_service_instructions": "<string>",
    "cloud_service_signup_link": "<string>",
    "year": 123,
    "cloud_service": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "owner": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "external_id": "<string>"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "price_zone": "AT",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "deleted_at": "2023-11-07T05:31:56Z",
  "lifecycle_state": "authenticated",
  "lifecycle_error": "<string>",
  "building": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "pause_power_until": "2023-11-07T05:31:56Z",
  "is_pause_power_active": false,
  "external_device_id": "",
  "is_authenticated": false,
  "is_smart_optimization_active": false,
  "optimization_score": 123,
  "current_mode": "<string>",
  "comment": "<string>",
  "current_state_last_updated_at": "2023-11-07T05:31:56Z",
  "last_monitoring_executed_at": "2023-11-07T05:31:56Z",
  "is_inverter_forced_mode_enabled": false,
  "is_inverter_forced_mode_active": false,
  "inverter_forced_mode_since": "0001-01-01T00:00:00Z",
  "is_trading_enabled": false,
  "actual_steering_state": "unknown",
  "indoor_target_temperature_offset": 123,
  "dhw_standard_temperature": 123,
  "is_hot_water_heating_enabled": false,
  "is_space_heating_enabled": false,
  "is_pool_heating_enabled": false,
  "is_space_cooling_enabled": false,
  "heating_policy_name": "<string>",
  "maximum_temperature_limit": 123,
  "minimum_temperature_limit": 123,
  "minimum_dhw_temperature_limit": 123,
  "is_heating_policy_enabled": false,
  "heating_policy_last_updated_at": "2023-11-07T05:31:56Z",
  "away_mode_start": "2023-11-07T05:31:56Z",
  "away_mode_end": "2023-11-07T05:31:56Z",
  "is_away_mode_enabled": true,
  "away_mode_minimum_temperature_limit": 123,
  "away_mode_last_updated_at": "2023-11-07T05:31:56Z",
  "min_solar_power_w": 2000,
  "operational_mode": "<string>",
  "current_power_consumption_w": 123,
  "inlet_temperature": 123,
  "outlet_temperature": 123,
  "dhw_temperature": 123,
  "outdoor_temperature": 123,
  "indoor_actual_temperature": 123,
  "indoor_target_temperature": 123,
  "consumption_last_day_kwh": 123,
  "consumption_last_week_kwh": 123,
  "consumption_last_month_kwh": 123,
  "consumption_last_updated_at": "2023-11-07T05:31:56Z",
  "optimization_level": "Mid",
  "needs_gateway": false,
  "temperature_delta_override_for_slight_change": 123,
  "temperature_delta_override_for_significant_change": 123,
  "embeddable_url": "<string>",
  "authorization_url": "<string>",
  "action_needed": false
}

Documentation Index

Fetch the complete documentation index at: https://developers.podero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

org_id
string<uuid>
required

The organization ID of the user's organization

user_id
string<uuid>
required

The user ID of the user whom the heat pump belongs to

heat_pump_id
string<uuid>
required

The ID of the modified heat pump

Body

application/json
is_pause_power_active
boolean
default:false
is_smart_optimization_active
boolean
default:false
device_model
DeviceModelInput · object
price_zone
enum<string>
default:AT
Available options:
AT,
AT_HOURLY,
BE,
CH,
EE,
DE_LU,
HU,
IT_CNOR,
IT_CSUD,
IT_NORD,
IT_PUN,
IT_SARD,
IT_SICI,
IT_SUD,
PT,
RO,
SE_1,
SE_2,
SE_3,
SE_4,
UK
deleted_at
string<date-time> | null

When set, the device is considered deleted.

lifecycle_state
string
default:authenticated
Maximum string length: 20
lifecycle_error
string | null

Error metadata when lifecycle_state is 'error'.

building_id
string<uuid> | null
pause_power_until
string<date-time> | null
optimization_score
number | null
comment
string | null
Maximum string length: 300
last_monitoring_executed_at
string<date-time> | null
is_inverter_forced_mode_enabled
boolean
default:false
is_trading_enabled
boolean
default:false
actual_steering_state
string
default:unknown
Maximum string length: 20
indoor_target_temperature_offset
dhw_standard_temperature
is_hot_water_heating_enabled
boolean | null
default:false
is_space_heating_enabled
boolean | null
default:false
is_pool_heating_enabled
boolean | null
default:false
is_space_cooling_enabled
boolean | null
default:false
heating_policy_name
string | null
Maximum string length: 100
maximum_temperature_limit
minimum_temperature_limit
minimum_dhw_temperature_limit
is_heating_policy_enabled
boolean | null
default:false
away_mode_start
string<date-time> | null
away_mode_end
string<date-time> | null
is_away_mode_enabled
boolean | null
default:true
away_mode_minimum_temperature_limit
optimization_level
string | null
default:Mid
Maximum string length: 10

Response

200 - application/json

OK

connection_status
enum<string>
required
Available options:
ok,
warning,
error,
unknown
monitoring_status
enum<string>
required
Available options:
ok,
warning,
error,
unknown
steering_status
enum<string>
required
Available options:
ok,
warning,
error,
unknown
device_model
DeviceModelOutput · object
required
owner
OwnerOutput · object
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
price_zone
enum<string>
default:AT
Available options:
AT,
AT_HOURLY,
BE,
CH,
EE,
DE_LU,
HU,
IT_CNOR,
IT_CSUD,
IT_NORD,
IT_PUN,
IT_SARD,
IT_SICI,
IT_SUD,
PT,
RO,
SE_1,
SE_2,
SE_3,
SE_4,
UK
id
string<uuid> | null
deleted_at
string<date-time> | null

When set, the device is considered deleted.

lifecycle_state
string
default:authenticated
Maximum string length: 20
lifecycle_error
string | null

Error metadata when lifecycle_state is 'error'.

building
string<uuid> | null
pause_power_until
string<date-time> | null
is_pause_power_active
boolean
default:false
external_device_id
string | null
default:""
Maximum string length: 255
is_authenticated
boolean | null
default:false
is_smart_optimization_active
boolean
default:false
optimization_score
number | null
current_mode
string | null
comment
string | null
Maximum string length: 300
current_state_last_updated_at
string<date-time> | null
last_monitoring_executed_at
string<date-time> | null
is_inverter_forced_mode_enabled
boolean
default:false
is_inverter_forced_mode_active
boolean
default:false
inverter_forced_mode_since
string<date-time> | null
default:0001-01-01T00:00:00Z
is_trading_enabled
boolean
default:false
actual_steering_state
string
default:unknown
Maximum string length: 20
indoor_target_temperature_offset
dhw_standard_temperature
is_hot_water_heating_enabled
boolean | null
default:false
is_space_heating_enabled
boolean | null
default:false
is_pool_heating_enabled
boolean | null
default:false
is_space_cooling_enabled
boolean | null
default:false
heating_policy_name
string | null
Maximum string length: 100
maximum_temperature_limit
minimum_temperature_limit
minimum_dhw_temperature_limit
is_heating_policy_enabled
boolean | null
default:false
heating_policy_last_updated_at
string<date-time> | null
away_mode_start
string<date-time> | null
away_mode_end
string<date-time> | null
is_away_mode_enabled
boolean | null
default:true
away_mode_minimum_temperature_limit
away_mode_last_updated_at
string<date-time> | null
min_solar_power_w
integer
default:2000
operational_mode
string | null
Maximum string length: 100
current_power_consumption_w
integer | null
inlet_temperature
outlet_temperature
dhw_temperature
outdoor_temperature
indoor_actual_temperature
indoor_target_temperature
consumption_last_day_kwh
consumption_last_week_kwh
consumption_last_month_kwh
consumption_last_updated_at
string<date-time> | null
optimization_level
string | null
default:Mid
Maximum string length: 10
needs_gateway
boolean | null
default:false
temperature_delta_override_for_slight_change
integer | null

Overrides the temperature change amount when steering the device for slight changes. For example, from MIN to LOW. Disclaimer: this depends on the integration support for overrides.

temperature_delta_override_for_significant_change
integer | null

Overrides the temperature change amount when steering the device for significant changes. For example, from MIN to MAX. Disclaimer: this depends on the integration support for overrides.

embeddable_url
string | null

URL to embeddable onboarding form

authorization_url
string | null

Base URL for authorizing with the Podero server

action_needed
boolean
default:false

True when at least one action is pending against this device and the partner must take that action before the device can resume normal operation. The actions field on the detail response carries the specifics.